<?php
/* 
   MasterSoft Software Solutions Ltd. - www.mastersoft.at - October. 2009 
   info@mastersoft.at
   This file is licensed under terms of the MPT Open License.
   You can find the license under http://www.mastersoft.at/content/view/26/34/lang,de/    
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.model' );


/**
 * the model class for the video listing
 * @author <a href="http://www.mastersoft.at" target="_blank">MasterSoft Software Solutions Ltd.</a>
 *
 */
class VideosModelVideos extends JModel
{
	/**
	 * videos data array	 
	 * @var array
	 */
	var $_data;

	/**
	 * Returns the query
	 * @return string The query to be used to retrieve the rows from the database
	 */
	function _buildQuery()
	{
		$query = ' SELECT * '
			. ' FROM #__msVideo '
		;

		return $query;
	}

	
	/**
	 * Retrieves the videos data array
	 * @return array Array of objects containing the data from the database
	 * the array contains an array for each video. such an entry has the structure:
	 *  0: video id
	 *  1: video title
	 *  2: video position
	 *  3: video published state 
	 */
	function getData()
	{					
		// Load the data
		if (empty( $this->_data ) || !isset($this->_data)) 
		{
			$this->_data = array();	
			
			$query = "select msv_id,msv_title,msv_position,msv_published from #__msVideo ORDER BY msv_position ASC";
						
			$this->_db->setQuery( $query );
			$entries = $this->_db->loadRowList();
				
			foreach($entries as $entry)
			{
				$entryData = array();												
				array_push($entryData,$entry[0]);
				array_push($entryData,$entry[1]);
				array_push($entryData,$entry[2]);
				array_push($entryData,$entry[3]);

				array_push($this->_data,$entryData);
			}
		}		
		
		return $this->_data;
	}

}
